{
  inputs.nixpkgs.url = "nixpkgs/nixos-23.11";
  # nixpkgs `cadquery` requires Python 3.7, which no longer exists in nixpkgs
  # `cq-flake` provides a more modern cadquery, compatible with Python 3.11
  inputs.cq.url = "github:marcus7070/cq-flake";
  outputs = { self, nixpkgs, cq }:
  let
    pkgs = import nixpkgs {
      system = "x86_64-linux";
    };
    cqPkgs = cq.packages.x86_64-linux;
  in {
    devShells.x86_64-linux.default = pkgs.mkShell {
      buildInputs = [
        cqPkgs.cadquery
        cqPkgs.cq-editor
        pkgs.slic3r
        pkgs.chromium
        # (pkgs.python37.withPackages (ps: with ps; [ cadquery ]))
      ];
    };
  };
}
