# this battery sells under a few brands.
# - Auskang: <https://www.amazon.com/Auskang-Portable-5000mAh-Compatible-Android/dp/B093GKX5Z1>
# - TNTOR: <https://www.amazon.com/TNTOR-Portable-Charger-5000mAh-Compatible/dp/B0C3QH7RYK/>
# the manufacturer is listed as "Shenzen LDTEK Technology Co., Ltd"
import cadquery as cq

width = 65.6
length = 125.0
height = 6.9
rad = 2.0  # approximately the same corner radius in both XY and Z

plug_length = 12.9
plug_width = 10.5

def LdtekBattery():
    return (
        cq.Workplane("front")
        .box(width, length, height, centered=False)
        .tag("body_box")
        .faces("<<Z").tag("body_front")
        .faces(">>Z").tag("body_back")
        .edges()
        .fillet(rad)
    )
